<?php

namespace App\Invoice\Data;

use Spatie\LaravelData\Data;

class ReceiverData extends Data
{
    public function __construct(
        public string $name,
        public string $address,
        public string $zip,
        public string $location,
        public ?string $email,
        public string $greeting,
    ) {}

    public static function default(): self
    {
        return new self(
            name: '',
            address: '',
            zip: '',
            location: '',
            email: null,
            greeting: ''
        );
    }
}
